Subject: [OPSAWG] New version of draft-ietf-opsawg-l3sm-l3nm-01

From: Oscar González de Dios <[email-masked]>
Date: Sun, 17 Nov 2019 21:20:20 +0000

Dear OPSAWG colleagues,

   First of all, lots of thanks for the inputs on the mailing list and the discussions among authors and contributors.
   You can find the new version for your review and feedback in:
https://tools.ietf.org/html/draft-ietf-opsawg-l3sm-l3nm-01

   Let me summarize the main changes bellow:
* Editorial issues from Tom Petch's review fixed ( see https://www.mail-archive.com/[email-masked]/msg03834.html )
* Implementations added (Thanks Huawei, Infinera and Nokia for providing feedback). Please, if you are aware of other implementations and are willing to share, please email authors and the reference to the implementation will be incorporated.
* New contributors: We welcome Med Boucadair and Stephane Litkowski, both providing their great expertise in L3 VPNs and experience from the L3SM work.
* Changes from “site-centric” view to “network-centric” view.
     - Old hierarchy: main containers vpn_service, site and vpn_profiles. Under site, list of site_network_access.
     - New hierarchy: only vpn_services and vpn_profiles. Under vpn_service, vpn_nodes and under vpn_nodes vpn_network_access
     - Site disappears as it is an information relevant for the service  orchestration which consumes l3sm. In this model,  aimed at managing vpn services in a network controller, the site is not needed.
     - With the new model hierarchy, the yang module is easier to use. A vpn service with several vpn-network-accesses can be created in a single call.
* Examples: A examples section has been added to understand how the model can be used. In this version, authors have started by including a simple, but widely used in Service Providers, example. Future versions will include more complex examples.
* Terminology: In order to help readers understand correctly the model, the terminology section has been revisited and completed.
* Yang model Prune: All customer related parameters that are not necessary for the vpn service creation have been removed. For example, location info is removed, as the module is used when the PE selection is already done. Also, unused containers coming from L3SM are removed.
* Process ID in OSPF added.
* Description of the Yang model: The description of the model has been extended in order to allow implementors and users of the model to understand its use and avoid unambiguities. Please, let us know if you find any part unclear and needs further explanations, we would be glad to add them.
* Relation with other Yang models. This section points which models are related to l3nm. L3SM, the model used to interact with the customer, is mentioned. Also, IETF network, which can contain the list of PEs of the Service Provider Network is mentioned. Also, the model will provide inputs for device configuration models used to implement the L3 VPN Service creation intent.
* Security section completed. Potential threats from malicious or unauthorized clients are identified.
* References have been updated and reorganized between normative and informative.

   Looking forward to you review and comments.

    Best Regards,

Oscar

-----Mensaje original-----
De: OPSAWG <[email-masked]> En nombre de [email-masked]
Enviado el: domingo, 17 de noviembre de 2019 21:16
Para: [email-masked]
CC: [email-masked]
Asunto: [OPSAWG] I-D Action: draft-ietf-opsawg-l3sm-l3nm-01.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Operations and Management Area Working Group WG of the IETF.

        Title           : A Layer 3 VPN Network YANG Model
        Authors         : Alejandro Aguado
                          Oscar Gonzalez de Dios
                          Victor Lopez
                          Daniel Voyer
                          Luis Angel Munoz
Filename        : draft-ietf-opsawg-l3sm-l3nm-01.txt
Pages           : 99
Date            : 2019-11-17

Abstract:
   RFC8299 defines a L3VPN Service YANG data Model (L3SM) that can be
   used for communication between customers and VPN service providers.
   That data model plays the role of a Customer Service Model, according
   to the terminology defined in RFC8309, and is as such adequate for
   service negotiation and order handling matters.

   There is a need for a more network-centric YANG data model to be used
   in the communication between the entity that interacts directly with
   the customer, the service orchestrator, (either fully automated or a
   human operator) and the entity in charge of network orchestration and
   control (a.k.a., network controller/orchestrator).

   This document specifies a L3VPN Network YANG Model (L3NM) to
   facilitate communication between a service orchestrator and a network
   controller/orchestrator.  Such data model provides a network-centric
   view of the L3VPN services.  The Yang model proposed is limited to
   BGP PE-based VPNs as described in RFCs 4026, 4110, and 4364.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-l3sm-l3nm/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-opsawg-l3sm-l3nm-01
https://datatracker.ietf.org/doc/html/draft-ietf-opsawg-l3sm-l3nm-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-opsawg-l3sm-l3nm-01

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: "Joe Clarke (jclarke)" <[email-masked]>
Date: Wed, 20 Nov 2019 05:37:16 +0000

Thanks for presenting, Oscar.  I recorded a few comments in the Etherpad, and I’ll make sure they all get recorded in the final minutes.

One comment I had when reading through the draft is that it looks like your discussion around interactions between L3SM and L3NM are incomplete.  In Section 5.1, you only list one sub-bullet on how data can be used between the models.  Your lead-up to that makes me think there are other potential things to consider when using the two models.

Joe

> On Nov 17, 2019, at 16:20, Oscar González de Dios <[email-masked]> wrote:
> 
> Dear OPSAWG colleagues,
>

---

From: Oscar González de Dios <[email-masked]>
Date: Fri, 22 Nov 2019 13:35:45 +0000

Hi Joe,

    You are right, the list needs to be completed. As pointed in the open issues, there are a number of containers described in L3SM that we are analizing whether they can be 1:1 taken to L3NM, or they can be processed before and translated into L3NM parameters.

   We take the point of completing for the -02 version the L3SM-L3NM relationship.

   There were some comments on the chat that we did not have time to discuss, I'd like to discuss them on the list.

Best Regards,

Oscar

-----Mensaje original-----
De: Joe Clarke (jclarke) <[email-masked]>
Enviado el: miércoles, 20 de noviembre de 2019 6:37
Para: Oscar González de Dios <[email-masked]>
CC: [email-masked]
Asunto: Re: [OPSAWG] New version of draft-ietf-opsawg-l3sm-l3nm-01

Joe

> * Editorial issues from Tom Petch's review fixed ( see
> https://www.mail-archive.com/[email-masked]/msg03834.html )
> De: OPSAWG <[email-masked]> En nombre de
> [email-masked] Enviado el: domingo, 17 de noviembre de 2019
> 21:16
> Esta mensagem e seus anexos se dirigem exclusivamente ao seu
> destinatário, pode conter informação privilegiada ou confidencial e é
> para uso exclusivo da pessoa ou entidade de destino. Se não é vossa
> senhoria o destinatário indicado, fica notificado de que a leitura,
> utilização, divulgação e/ou cópia sem autorização pode estar proibida
> em virtude da legislação vigente. Se recebeu esta mensagem por erro,
> rogamos-lhe que nos o comunique imediatamente por esta mesma via e
> proceda a sua destruição